<?php
/**
 * Lawyer Landing Page functions and definitions.
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Lawyer_Landing_Page
 */

//define theme version
if ( ! defined( 'LAWYER_LANDING_PAGE_THEME_VERSION' ) ) {
	$theme_data = wp_get_theme();	
	define ( 'LAWYER_LANDING_PAGE_THEME_VERSION', $theme_data->get( 'Version' ) );
	define( 'LAWYER_LANDING_PAGE_THEME_NAME', $theme_data->get( 'Name' ) );
}

/**
 * Implement the Custom functions.
 */
require get_template_directory() . '/inc/custom-functions.php';

/**
 * Implement the WordPress Hooks.
 */
require get_template_directory() . '/inc/wp-hooks.php';

/**
 * Custom template function for this theme.
 */
require get_template_directory() . '/inc/template-functions.php';

/**
 * Custom template hooks for this theme.
 */
require get_template_directory() . '/inc/template-hooks.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Metabox for Sidebar Layout
*/
require get_template_directory() . '/inc/metabox.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer/customizer.php';

/**
 * Widgets.
 */
require get_template_directory() . '/inc/widgets/widgets.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

/**
* Recommended Plugins
*/
require_once get_template_directory() . '/inc/tgmpa/recommended-plugins.php';

/**
 * Getting Started
*/
require get_template_directory() . '/inc/getting-started/getting-started.php';

/**
 * Add theme compatibility function for woocommerce if active
*/
if( lawyer_landing_page_is_woocommerce_activated() )
require get_template_directory() . '/inc/woocommerce-functions.php';